[packages/gitlab-ce] gitlab-sidekiq: use bin/background_jobs
glen
glen at pld-linux.org
Sun May 15 14:11:29 CEST 2016
commit 8f8687de3796e998363d661e8463cb1c46f85702
Author: Elan Ruusamäe <glen at delfi.ee>
Date: Sun May 15 14:02:05 2016 +0300
gitlab-sidekiq: use bin/background_jobs
otherwise push jobs were not started because of outdated startup script
gitlab-ce.spec | 2 +-
gitlab-sidekiq.init | 9 ++++++---
2 files changed, 7 insertions(+), 4 deletions(-)
---
diff --git a/gitlab-ce.spec b/gitlab-ce.spec
index a322f52..80ff4fc 100644
--- a/gitlab-ce.spec
+++ b/gitlab-ce.spec
@@ -17,7 +17,7 @@
Summary: A Web interface to create projects and repositories, manage access and do code reviews
Name: gitlab-ce
Version: 8.7.5
-Release: 0.17
+Release: 0.19.1
License: MIT
Group: Applications/WWW
# md5 deliberately omitted until this package is useful
diff --git a/gitlab-sidekiq.init b/gitlab-sidekiq.init
index be1f50d..a3f7e66 100755
--- a/gitlab-sidekiq.init
+++ b/gitlab-sidekiq.init
@@ -49,8 +49,8 @@ start() {
msg_starting "GitLab Sidekiq"
daemon --pidfile $pidfile --user $USER --chdir "$APP_PATH" \
- bundle exec \
- "sidekiq -q post_receive,mailer,system_hook,project_web_hook,gitlab_shell,common,default -e $RAILS_ENV -P pids/sidekiq.pid -d -L log/sidekiq.log >> log/sidekiq.log 2>&1"
+ env RAILS_ENV=$RAILS_ENV \
+ bin/background_jobs start
RETVAL=$?
[ $RETVAL -eq 0 ] && touch $lockfile
}
@@ -63,7 +63,10 @@ stop() {
# Stop daemons.
msg_stopping "GitLab Sidekiq"
- killproc --pidfile $pidfile sidekiq
+ daemon --pidfile $pidfile --user $USER --chdir "$APP_PATH" \
+ env RAILS_ENV=$RAILS_ENV \
+ bin/background_jobs stop
+ RETVAL=$?
rm -f $lockfile
}
================================================================
---- gitweb:
http://git.pld-linux.org/gitweb.cgi/packages/gitlab-ce.git/commitdiff/e29cce1b42cc84a9e2c9e94f678f2b67ffff1fae
More information about the pld-cvs-commit
mailing list